@ECHO OFF
CLS

@REM ----------------------------------------------------------------------
@REM 1. Search for a CDROM bin or ISO image...
@REM ----------------------------------------------------------------------

IF "%2"=="67420160" GOTO PATCH_ISO_MENU

ECHO.
ECHO Note: If this patch doesn't work, try "PATCHBAK.BAT" or "PATCHGUI.BAT" !!
ECHO If you're running 64-bit Windows, most likely, this won't work...
ECHO Also, the much easier GUI version has been reincluded. Just double
ECHO click PATCHGUI.Bat and browse for your Ys IV track 2 ISO file.
ECHO.
PAUSE

ULoader *.ISO 67420160 PATCH
IF EXIST IMAGE.YsIV GOTO DELIMAGE

@REM ----------------------------------------------------------------------
@REM 2. No image to patch was found! Exit failure message.
@REM ----------------------------------------------------------------------

ECHO Not found - Ys IV ISO data track dump (MODE1 2048) of size 67,420,160...
ECHO Use TurboRip to dump an ISO/WAV/CUE image file set, make sure there's
ECHO a dump with the file extension .ISO. Also, if your dump is there with
ECHO the right extension, then check the file size! You'll have to achieve
ECHO a dump of the above mentioned file size, if not, there's a problem.
ECHO You can use TocFixer to remedy such a problem if need be.
ECHO Exiting...
ECHO.
PAUSE
GOTO END

:DELIMAGE
DEL IMAGE.YsIV
IF NOT EXIST CLEANUP.TMP GOTO END
DEL ULoader.exe
DEL CLEANUP.TMP
DEL PATCH.BAT
GOTO END

:PATCH_BIN_MENU
IF EXIST %1 ECHO %1 > IMAGE.YsIV
hl "Apply YsIV(US) BIN Patch" "Cancel" /M0 /k2 /f13 /b0 /H5 Ys IV-The Dawn of Ys Patch Menu\
IF ERRORLEVEL 2 GOTO END
IF ERRORLEVEL 1 GOTO PPF_BINPATCH
GOTO END

:PPF_BINPATCH
echo -Found %1 and proceeding to patch...
echo -Executing command: ApplyPPF3 a %1 YsIV-BIN.ppf
echo.
ApplyPPF3 a %1 YsIV-BIN.ppf
echo.
PAUSE

GOTO FINISHUP

:PATCH_ISO_MENU
IF EXIST %1 ECHO %1 > IMAGE.YsIV
hl "Apply YsIV(US) ISO Patch" "Cancel" /M0 /k2 /f13 /b0 /H5 Ys IV-The Dawn of Ys Patch Menu\
IF ERRORLEVEL 2 GOTO END
IF ERRORLEVEL 1 GOTO PPF_ISOPATCH
GOTO END

:PPF_ISOPATCH
echo -Found %1 and proceeding to patch...
echo -Executing command: ApplyPPF3 a %1 YsIV-ISO.ppf
echo.
ApplyPPF3 a %1 YsIV-ISO.ppf
echo.
PAUSE

:FINISHUP
hl "Delete unnecessary files" "Cancel" /M0 /k2 /f13 /b0 /H5 Cleanup
IF ERRORLEVEL 2 GOTO END
IF ERRORLEVEL 1 GOTO CLEANUP
GOTO END

:CLEANUP
DEL PATCHGUI.BAT
DEL PATCHBAK.BAT
DEL PPF-GUI.exe
DEL ApplyPPF3.exe
DEL HL.COM
DEL *.PPF
ECHO %1 > CLEANUP.TMP

:END
