@ECHO OFF
CLS

SET PATCH_TITLE=YsIV(US)
SET PATCH_MENU_TITLE=Ys IV-The Dawn of Ys Patch Menu

@REM ----------------------------------------------------------------------
@REM 1. Search for a CDROM bin or ISO image...
@REM ----------------------------------------------------------------------


IF "%2"=="67420160" GOTO PATCH_ISO_MENU

ULoader *.ISO 67420160 PATCHBAK
IF EXIST IMAGE.YsIV GOTO DELIMAGE

@REM ----------------------------------------------------------------------
@REM 2. No image to patch was found! Exit failure message.
@REM ----------------------------------------------------------------------

ECHO Not found - Ys IV ISO data track dump (MODE1 2048) of size 67,420,160...
ECHO Use TurboRip to dump an ISO/WAV/CUE image file set, make sure there's
ECHO a dump with the file extension .ISO. Also, if your dump is there with
ECHO the right extension, then check the file size! You'll have to achieve
ECHO a dump of the above mentioned file size, if not, there's a problem.
ECHO You can use TocFixer to remedy such a problem if need be.
ECHO Exiting...
ECHO.
PAUSE
GOTO END

:DELIMAGE
DEL IMAGE.YsIV
GOTO END

:PATCH_ISO_MENU
SET PATCHFILE=YsIV-ISO.ppf
GOTO PATCH_MENU

:PATCH_MENU
IF EXIST %1 ECHO %1 > IMAGE.YsIV
ECHO If PATCH.BAT failed to run properly, then you may use this simple
ECHO batch file to complete the procress... Simply press any key
ECHO and the patch will be applied to %1.
ECHO No need to worry about applying it again on the same image, as it
ECHO won't matter.
ECHO.
PAUSE

:PPF_PATCH
echo -Found %1 and proceeding to patch...
echo -Executing command: ApplyPPF3 a %1 "%PATCHFILE%"
echo.
ApplyPPF3 a %1 "%PATCHFILE%"
echo.
PAUSE

:END
